body {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background: #c5c6c7;;
}
.pagination {
  position: relative;
  display: flex;
  flex-direction: row;
  --ddim: 10px;
  --rd: 15px;
  --rdim: calc(var(--rd)*2);
  --pm: #66FCF1;
}
label {
  content: '';
  margin: 0 10px;
  height: var(--ddim);
  width: var(--ddim);
  background: #45a29e;
  cursor: pointer;
}
label:first-child {margin-left: 0;}
label:last-child {margin-right: 0;}
input {display: none;}

.pacman {
  content: '';
  position: absolute;
  top: calc(-1*var(--ddim));
  left: calc(-1*var(--ddim)/2);
  height: var(--rdim);
  width: var(--rdim);
  transition: transform 250ms linear;
}
.pacman:before,
.pacman:after {
  content: '';
  position: absolute;
  height: var(--rd);
  width: var(--rdim);
  left: 0;
  background: var(--pm);
  transition: inherit;
}
.pacman:before {
  top: 0;
  border-top-left-radius: var(--rdim);
  border-top-right-radius: var(--rdim);
  transform-origin: bottom center;
  transform: rotate(-45deg);
}
.pacman:after {
  bottom: 0;
  border-bottom-left-radius: var(--rdim);
  border-bottom-right-radius: var(--rdim);
  transform-origin: top center;
  transform: rotate(45deg);
}
@keyframes waka {
  0% {}
  50% {transform: rotate(0);}
  100% {}
}
input[type="radio"]:hover ~ .pacman:before,
input[type="radio"]:hover ~ .pacman:after {
  animation: waka 500ms infinite;
}

input[id="dot-0"]:checked ~ .pacman {transform: translateX(var(--ddim));}
input[id="dot-1"]:checked ~ .pacman {transform: translateX(calc(var(--ddim) + var(--rdim)));}
input[id="dot-2"]:checked ~ .pacman {transform: translateX(calc(var(--ddim) + var(--rdim)*2));}
input[id="dot-3"]:checked ~ .pacman {transform: translateX(calc(var(--ddim) + var(--rdim)*3));}
input[id="dot-4"]:checked ~ .pacman {transform: translateX(calc(var(--ddim) + var(--rdim)*4));}
input[id="dot-5"]:checked ~ .pacman {transform: translateX(calc(var(--ddim) + var(--rdim)*5));}
input[id="dot-6"]:checked ~ .pacman {transform: translateX(calc(var(--ddim) + var(--rdim)*6));}
input[id="dot-7"]:checked ~ .pacman {transform: translateX(calc(var(--ddim) + var(--rdim)*7));}
input[id="dot-8"]:checked ~ .pacman {transform: translateX(calc(var(--ddim) + var(--rdim)*8));}
input[id="dot-9"]:checked ~ .pacman {transform: translateX(calc(var(--ddim) + var(--rdim)*9));}

//#66FCF1;
//#1f2833;
//#45a29e;
//#c5c6c7;
